light-mode-image
Learn
API ReferenceClients

Retrieve clients

Analytics Events

TENANT_CLIENT_RETRIEVE_LIST_STARTTENANT_CLIENT_RETRIEVE_LIST_SUCCESSTENANT_CLIENT_RETRIEVE_LIST_FAIL
GET/v1/tenants/{tenantId}/clients

Retrieves a list of clients authorized to interact with the requested tenant.

Analytic events

  • TENANT_CLIENT_RETRIEVE_LIST_START
  • TENANT_CLIENT_RETRIEVE_LIST_SUCCESS
  • TENANT_CLIENT_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Unique ID of the tenant to retrieve clients for.

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

text/plain

application/json

curl -X GET "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients"
{  "data": [    {      "clientId": "stringstringstringstringstringst",      "name": "string",      "permissions": [        "string"      ],      "roles": [        "admin"      ]    }  ],  "nextCursor": "string"}

How would you rate this page?